Search the Community
Showing results for tags 'lips'.
-
Hi everyone, we have already placed a block object in multiple locations. Now we need the same block in a converter rectangle array format. Is there any idea or Lisp program available?ilable
-
Create slope with lisp Polyline (WANT TO ENHANCE)
Prageeth posted a topic in AutoLISP, Visual LISP & DCL
I Have lisp for placing slope and arrow with polyline and i want enhance this to what i need mention in my drawing file..so i have attached lisp & sample drawing file . and also want to enhance lisp for select all polyline at once, currently lisp select on object at once. thanks. Slope.lsp SLOPE SAMPLE.dwg- 3 replies
-
- slope lines
- slope
- (and 13 more)
-
Hello, As part of a project I must assign an object data table to all elements of the drawing according to their layer. I am looking for an automated solution to assign the Objects Data tables to the elements of the drawing other than by selecting the different layers one by one. Knowing nothing in programming, I ask you to find ways to achieve this result. On the other hand, once the object data tables (Object data) assigned to the various elements I want to find a way fast enough to copy some attribute objects in the corresponding "Object Data" fields. For example copy the value of the orientation of a block (Attribute Value "Rotation") in the corresponding OD field (Attribute Value "ARE_ORIENT"), as in the attachment. I am currently doing these manipulations by hand and this is a huge waste of time. I am interested in any solution as small as it is! Thank you!!
- 3 replies
-
- object data
- vba
-
(and 2 more)
Tagged with:
-
Get part of dwg file name and write it on a inside attribute block.
CafeJr posted a topic in AutoLISP, Visual LISP & DCL
Hello Guys, I have a doubt, someone knows if has some Lisp to get the last digits (specified - user input) of a dwg file name (in Windows explorer) and write it on a specific attribute name on a internal block. Eg.: I have a folder with 600 pages dwg files, so, the last numbers of it is a specific item to show the page number of that file, it's possible read these numbers and write in an attribute inside dwg to correct the page index. -
Good morning, I want to know: Is there any lisp that erases/deletes collinear points by distance and angle on 3D Polylines? I found a lisp that does this but only on 2d polylines.
-
Insert Block on multiple text object insertion points.
asb116 posted a topic in AutoLISP, Visual LISP & DCL
So heres the deal.... I work for a big company and we have this multi-million dollar project I'm currently working with. My situation is that I have survey data imported into my drawing, these points come in as text objects with their insertion point being the co-ordinates of the respective point, this is done using a custom command. I also have a directory of blocks that are used to represent various different survey related symbols. Right now the process I must go through to get the symbols onto their proper point is to manually search out each point and inset the block ref manually onto the point. Doing this for thousands of points will be far too time consuming. Im trying to find a LISP routine that will allow me to pick which block I wish to insert, then allow me to specify the numerical point range or individual points to insert that block on. Attached is a screencap of the text points and the blocks shown beside them. Essentially I have a whole lot of points and a whole lot of symbols to put on them, but different points and point ranges need different symbols. Any insight would be great, I'd attempt to write a routine myself, but time constraints prevent me from working on it with th deadlines we have in place. -
Hi everyone, I often use the join comand selecting all objets and it works fine. But why when I try to input it in my lisp routine it crash. I also try to write directly (command "join") in command line and it does'nt works. Anybody can explain ? Thank's --------------- Ah ! Le français... ;-)
-
Hello Im looking for some LIPS wchich help me makre make drawing descriptions. For example : in may drawing a have few blocks and I want to copy theirs parameters to descriptions block How to copy attributes between blocks
-
LISP for : If layer is frozen : thaw it and vice versa
Troispistols posted a topic in AutoLISP, Visual LISP & DCL
Hi, I found and modify a lisp routine, I would like to know if it is on the right track. Also to mention that I don't really understand all the mechanics of it but first, here's what I want to achieve : -I have a Layer named "Arch - Niveau 1" -I would like to enter in the command prompt "a11" -It would read if the layer is frozen or thawed and if it is frozen, it will thaw it (? sorry bad english) And if the layer is thawed, it would freeze it That's it! What could be added is: To check up if the layer exists and if not, create it. Would do the same for 2 other layer named "Arch - Niveau 2" command "a22" and "Arch - Niveau 3" command "a33". Is it clear? Now the lisp I've found and modified is this: (defun c:a11 (/ lay ldef flag) (setq layn "Arch - Niveau 1") (command "_.LAYER") (if (not (tblsearch "LAYER" layn)) (command "_Make" layn) (progn (setq ldef (tblsearch "LAYER" layn) flag (cdr (assoc 70 ldef))) (and (= (logand flag 1) 1) (command "_Thaw" layn)) )) (command "") ) This lisp looks if it exists, if not, create it and only thaw the layer. I'm not sure I want to understand all the mechanics because I'm not enough familiar with the "not", the "progn" the "flag", "and" and "logand" (!!!!) Can you help me complete my lisp please? Thanks a lot !